Bug 1870515 - PVC Network Upload error should be more detailed
Summary: PVC Network Upload error should be more detailed
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.6.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-20 09:28 UTC by Gilad Lekner
Modified: 2020-09-10 02:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6406 None closed Bug 1870515: PVC Network Upload error should be more detailed 2020-09-09 10:24:54 UTC

Description Gilad Lekner 2020-08-20 09:28:25 UTC
Description of problem:
When getting a network error when uploading an image through the pvc form, the error is not detailed enough, the user should receive more information.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.Start uploading image to PVC without certificate
2.receive error: "Network Error"
3.

Actual results:
The error we receive is "Network Error"

Expected results:
The error we should receive is: "Network Error: CERTIFICATE_ERROR"

Additional info:

Comment 1 Tomas Jelinek 2020-08-20 09:35:00 UTC
Its not just that. It needs to have a troubleshooting part saying something like:
"Seems your browser does not trust the upload proxy certificate. Please go to <a link>, accept the certificate and try again"

Comment 5 Guohua Ouyang 2020-09-10 02:46:16 UTC
It shows 'It seems that your browser does not trust the certificate of the upload proxy. Please approve this certificate and try again' on version 4.6.0-fc.3.


Note You need to log in before you can comment on or make changes to this bug.